ICU 78.3 78.3

Data Structures | Namespaces | Macros | Typedefs
calendar.h File Reference

C++ API: Calendar object. More...

`#include "unicode/utypes.h"`
`#include "unicode/uobject.h"`
`#include "unicode/locid.h"`
`#include "unicode/timezone.h"`
`#include "unicode/ucal.h"`
`#include "unicode/umisc.h"`

Go to the source code of this file.

## Data Structures
class | icu::Calendar
| `Calendar` is an abstract base class for converting between a `UDate` object and a set of integer fields such as `YEAR`, `MONTH`, `DAY`, `HOUR`, and so on. More...

## Namespaces
| icu
| File coll.h.

## Macros
#define | DECLARE_OVERRIDE_SYSTEM_DEFAULT_CENTURY
| Macro for the class to declare it override haveDefaultCentury, defaultCenturyStart, and defaultCenturyStartYear functions in this class. More...

## Typedefs
typedef int32_t | icu::UFieldResolutionTable[12][8]

## Detailed Description

C++ API: Calendar object.

Definition in file calendar.h.

## Macro Definition Documentation

## ◆ DECLARE_OVERRIDE_SYSTEM_DEFAULT_CENTURY

#define DECLARE_OVERRIDE_SYSTEM_DEFAULT_CENTURY

Value:
virtual UBool haveDefaultCentury() const override; \
virtual UDate defaultCenturyStart() const override; \
virtual int32_t defaultCenturyStartYear() const override;
UBool
int8_t UBool
The ICU boolean type, a signed-byte integer.
Definition: umachine.h:269
UDate
double UDate
Date and Time data type.
Definition: utypes.h:218

Macro for the class to declare it override haveDefaultCentury, defaultCenturyStart, and defaultCenturyStartYear functions in this class.

Internal:
  Do not use. This API is for internal use only.

Definition at line 2583 of file calendar.h.